Package org.opensaml.xacml.policy

# Interface DefaultsType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `DefaultsTypeImpl`

public interface DefaultsType extends XACMLObject
XACML Defaults schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`POLICY_DEFAULTS_ELEMENT_LOCAL_NAME`
Local name of the element PolicyDefaults.
`static final QName`
`POLICY_DEFAULTS_ELEMENT_NAME`
QName of the element PolicyDefaults.
`static final String`
`POLICY_SET_DEFAULTS_ELEMENT_LOCAL_NAME`
Local name of the element PolicySetDefaults.
`static final QName`
`POLICY_SET_DEFAULTS_ELEMENT_NAME`
QName of the element PolicySetDefaults.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`XSString`
`getXPathVersion()`
Gets the XPath version for this type.
`void`
`setXPathVersion(XSString version)`
Sets the XPath version for this type.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### POLICY_SET_DEFAULTS_ELEMENT_LOCAL_NAME

static final String POLICY_SET_DEFAULTS_ELEMENT_LOCAL_NAME
Local name of the element PolicySetDefaults.

See Also:
  - Constant Field Values

### POLICY_SET_DEFAULTS_ELEMENT_NAME

static final QName POLICY_SET_DEFAULTS_ELEMENT_NAME
QName of the element PolicySetDefaults.

### POLICY_DEFAULTS_ELEMENT_LOCAL_NAME

static final String POLICY_DEFAULTS_ELEMENT_LOCAL_NAME
Local name of the element PolicyDefaults.

See Also:
  - Constant Field Values

### POLICY_DEFAULTS_ELEMENT_NAME

static final QName POLICY_DEFAULTS_ELEMENT_NAME
QName of the element PolicyDefaults.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

## Method Details

### getXPathVersion

XSString getXPathVersion()
Gets the XPath version for this type.

Returns:
  XPath version for this type

### setXPathVersion

void setXPathVersion(XSString version)
Sets the XPath version for this type.

Parameters:
  `version` - XPath version for this type